
From: "Randy.Dunlap" <rddunlap@osdl.org>

oss/nm256_audio: fix init text section reference:

Error: ./sound/oss/nm256_audio.o .text refers to 0000000000001847 R_X86_64_PC32     .init.text+0x0000000000000018

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/nm256_audio.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN sound/oss/nm256_audio.c~oss-nm256-fix-section-references sound/oss/nm256_audio.c
--- 25/sound/oss/nm256_audio.c~oss-nm256-fix-section-references	2005-03-07 20:41:44.000000000 -0800
+++ 25-akpm/sound/oss/nm256_audio.c	2005-03-07 20:41:44.000000000 -0800
@@ -1047,7 +1047,7 @@ nm256_peek_for_sig (struct nm256_info *c
  * VERSTR is a human-readable version string.
  */
 
-static int __init
+static int __devinit
 nm256_install(struct pci_dev *pcidev, enum nm256rev rev, char *verstr)
 {
     struct nm256_info *card;
_
